Summary: A graphics library for drawing .gif files.
Name: gd
Version: 1.3
Release: 6
Source: http://www.boutell.com/gd/gd1.3.tar.gz
Patch: gd-shared.patch
Copyright: BSD-style
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/gd-root
Prefix: /usr
Prereq: /sbin/ldconfig

%description
Gd is a graphics library for drawing .gif files.  Gd allows your code to
quickly draw images (lines, arcs, text, multiple colors, cutting and
pasting from other images, flood fills) and write out the result as a
.gif file. Gd is particularly useful in web applications, where .gifs
are commonly used as inline images.  Note, however, that gd is not a
paint program.

Install gd if you are developing applications which need to draw .gif
files.  If you install gd, you'll also need to install the gd-devel
package.

%package devel
Requires: gd = %{PACKAGE_VERSION}
Summary: The development libraries and header files for gd.
Group: Development/Libraries

%description devel
These are the development libraries and header files for gd, the .gif
graphics library.

If you're installing the gd graphics library, you must install gd-devel.

%prep
%setup -n gd1.3
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
install -m644 gd.h gdfontg.h gdfontl.h gdfontmb.h gdfonts.h gdfontt.h \
	$RPM_BUILD_ROOT/usr/include
ln -sf libgd.so.1.2 $RPM_BUILD_ROOT/usr/lib/libgd.so
install -m 755 libgd.so* $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%files
%doc readme.txt index.html
/usr/lib/*.so.*

%files devel
/usr/lib/*.so
/usr/include/*

%changelog
* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- buiuld for glibc 2.1

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
